package com.engine.recruit.enums;

/**
 * @author:dxfeng
 * @createTime: 2023/10/23
 * @version: 1.0
 */
public enum PositionOperateEnum {
    /**
     * 入职管理相关操作
     */
    PREPARE("prepare", "入职准备"),
    HANDLE("prepare", "办理入职"),
    ;

    PositionOperateEnum(String operateType, String operateDesc) {
        this.operateType = operateType;
        this.operateDesc = operateDesc;
    }

    private String operateType;
    private String operateDesc;

    public String getOperateType() {
        return operateType;
    }

    public void setOperateType(String operateType) {
        this.operateType = operateType;
    }

    public String getOperateDesc() {
        return operateDesc;
    }

    public void setOperateDesc(String operateDesc) {
        this.operateDesc = operateDesc;
    }

    public static PositionOperateEnum getOperateType(String operateType) {
        for (PositionOperateEnum item : PositionOperateEnum.values()) {
            if (item.operateType.equalsIgnoreCase(operateType)) {
                return item;
            }
        }
        throw new RuntimeException("不支持的操作类型");
    }
}
